Package org.eclipse.e4.ui.css.swt.dom

# Class TextElement

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ElementAdapter
org.eclipse.e4.ui.css.swt.dom.WidgetElement
org.eclipse.e4.ui.css.swt.dom.ControlElement
org.eclipse.e4.ui.css.swt.dom.TextElement

All Implemented Interfaces:
  `CSSStylableElement`, `Element`, `Node`, `NodeList`

public class TextElement extends ControlElement
`CSSStylableElement` implementation which wrap SWT `Text`.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.swt.dom.ControlElement

`hasFocus, hasMouseHover`

### Fields inherited from class org.eclipse.e4.ui.css.swt.dom.WidgetElement

`localName, namespaceURI, swtStyles`

### Fields inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`engine`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Constructor
Description
`TextElement(Text text, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Method called when `CSSEngine.dispose()` is called.
`protected Text`
`getText()`
`void`
`initialize()`
Method called after the `CSSStylableElement` was linked to the native widget.

### Methods inherited from class org.eclipse.e4.ui.css.swt.dom.ControlElement

`getControl, getParentNode, isPseudoInstanceOf, reset`

### Methods inherited from class org.eclipse.e4.ui.css.swt.dom.WidgetElement

`applyStyles, computeAttributeSWTStyle, computeLocalName, computeNamespaceURI, computeStaticPseudoInstances, getAttribute, getChildNodes, getCSSClass, getCSSClass, getCSSId, getCSSStyle, getEngine, getEngine, getID, getLength, getLocalName, getNamespaceURI, getWidget, hasAttribute, internalGetAttribute, item, setCSSClass, setEngine, setID, toString`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`addStaticPseudoInstance, appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNativeWidget, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStaticPseudoInstances, getStyle, getTagName, getTextContent, getUserData, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextElement

public TextElement(Text text, CSSEngine engine)

## Method Details

### initialize

public void initialize()
Description copied from interface: `CSSStylableElement`
Method called after the `CSSStylableElement` was linked to the native widget. You can add UI listener into this method.

Specified by:
  `initialize` in interface `CSSStylableElement`
Overrides:
  `initialize` in class `ControlElement`

### dispose

public void dispose()
Description copied from interface: `CSSStylableElement`
Method called when `CSSEngine.dispose()` is called. You can remove UI listener into this method.

Specified by:
  `dispose` in interface `CSSStylableElement`
Overrides:
  `dispose` in class `ControlElement`

### getText

protected Text getText()